ON_2dPoint Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_point.h>`

## Public Member Functions

| ON_2dPoint ()
| ON_2dPoint (double x, double y)
| ON_2dPoint (const ON_3dPoint &)
| ON_2dPoint (const ON_4dPoint &)
| ON_2dPoint (const ON_2dVector &)
| ON_2dPoint (const ON_3dVector &)
| ON_2dPoint (const double *)
| ON_2dPoint (const class ON_2fPoint &)
| ON_2dPoint (const class ON_3fPoint &)
| ON_2dPoint (const class ON_4fPoint &)
| ON_2dPoint (const class ON_2fVector &)
| ON_2dPoint (const class ON_3fVector &)
| ON_2dPoint (const float *)
| operator double * ()
| operator const double * () const
ON_2dPoint & | operator= (const ON_3dPoint &)
ON_2dPoint & | operator= (const ON_4dPoint &)
ON_2dPoint & | operator= (const ON_2dVector &)
ON_2dPoint & | operator= (const ON_3dVector &)
ON_2dPoint & | operator= (const double *)
ON_2dPoint & | operator= (const ON_2fPoint &)
ON_2dPoint & | operator= (const ON_3fPoint &)
ON_2dPoint & | operator= (const ON_4fPoint &)
ON_2dPoint & | operator= (const ON_2fVector &)
ON_2dPoint & | operator= (const ON_3fVector &)
ON_2dPoint & | operator= (const float *)
ON_2dPoint & | operator*= (double)
ON_2dPoint & | operator/= (double)
ON_2dPoint & | operator+= (const ON_2dPoint &)
ON_2dPoint & | operator+= (const ON_2dVector &)
ON_2dPoint & | operator+= (const ON_3dVector &)
ON_2dPoint & | operator-= (const ON_2dPoint &)
ON_2dPoint & | operator-= (const ON_2dVector &)
ON_2dPoint & | operator-= (const ON_3dVector &)
ON_2dPoint | operator* (int) const
ON_2dPoint | operator/ (int) const
ON_2dPoint | operator* (float) const
ON_2dPoint | operator/ (float) const
ON_2dPoint | operator* (double) const
ON_2dPoint | operator/ (double) const
ON_2dPoint | operator+ (const ON_2dPoint &) const
ON_2dPoint | operator+ (const ON_2dVector &) const
ON_2dVector | operator- (const ON_2dPoint &) const
ON_2dPoint | operator- (const ON_2dVector &) const
ON_3dPoint | operator+ (const ON_3dPoint &) const
ON_3dPoint | operator+ (const ON_3dVector &) const
ON_3dVector | operator- (const ON_3dPoint &) const
ON_3dPoint | operator- (const ON_3dVector &) const
ON_2dPoint | operator+ (const ON_2fPoint &) const
ON_2dPoint | operator+ (const ON_2fVector &) const
ON_2dVector | operator- (const ON_2fPoint &) const
ON_2dPoint | operator- (const ON_2fVector &) const
ON_3dPoint | operator+ (const ON_3fPoint &) const
ON_3dPoint | operator+ (const ON_3fVector &) const
ON_3dVector | operator- (const ON_3fPoint &) const
ON_3dPoint | operator- (const ON_3fVector &) const
double | operator* (const ON_2dPoint &) const
double | operator* (const ON_2dVector &) const
double | operator* (const ON_4dPoint &) const
ON_2dPoint | operator* (const ON_Xform &) const
bool | operator== (const ON_2dPoint &) const
bool | operator!= (const ON_2dPoint &) const
bool | operator<= (const ON_2dPoint &) const
bool | operator>= (const ON_2dPoint &) const
bool | operator< (const ON_2dPoint &) const
bool | operator> (const ON_2dPoint &) const
double & | operator[] (int)
double | operator[] (int) const
double & | operator[] (unsigned int)
double | operator[] (unsigned int) const
bool | IsValid () const
bool | IsUnsetPoint () const
void | Set (double x, double y)
double | DistanceTo (const ON_2dPoint &) const
int | MaximumCoordinateIndex () const
double | MaximumCoordinate () const
int | MinimumCoordinateIndex () const
double | MinimumCoordinate () const
void | Zero ()
void | Transform (const ON_Xform &)
void | Rotate (double angle, const ON_2dPoint &center)
void | Rotate (double sin_angle, double cos_angle, const ON_2dPoint &center)

## Public Attributes

double | x
double | y

## Static Public Attributes

static const ON_2dPoint | Origin
static const ON_2dPoint | UnsetPoint

## Detailed Description

Definition at line 266 of file opennurbs_point.h.

## Constructor & Destructor Documentation

## ON_2dPoint() [1/13]

ON_2dPoint::ON_2dPoint | ( |  | ) |

## ON_2dPoint() [2/13]

ON_2dPoint::ON_2dPoint | ( | double | x,
|  | double | y
| ) |  |

## ON_2dPoint() [3/13]

ON_2dPoint::ON_2dPoint | ( | const ON_3dPoint & |  | ) |

## ON_2dPoint() [4/13]

ON_2dPoint::ON_2dPoint | ( | const ON_4dPoint & |  | ) |

## ON_2dPoint() [5/13]

ON_2dPoint::ON_2dPoint | ( | const ON_2dVector & |  | ) |

## ON_2dPoint() [6/13]

ON_2dPoint::ON_2dPoint | ( | const ON_3dVector & |  | ) |

## ON_2dPoint() [7/13]

ON_2dPoint::ON_2dPoint | ( | const double * |  | ) |

## ON_2dPoint() [8/13]

ON_2dPoint::ON_2dPoint | ( | const class ON_2fPoint & |  | ) |

## ON_2dPoint() [9/13]

ON_2dPoint::ON_2dPoint | ( | const class ON_3fPoint & |  | ) |

## ON_2dPoint() [10/13]

ON_2dPoint::ON_2dPoint | ( | const class ON_4fPoint & |  | ) |

## ON_2dPoint() [11/13]

ON_2dPoint::ON_2dPoint | ( | const class ON_2fVector & |  | ) |

## ON_2dPoint() [12/13]

ON_2dPoint::ON_2dPoint | ( | const class ON_3fVector & |  | ) |

## ON_2dPoint() [13/13]

ON_2dPoint::ON_2dPoint | ( | const float * |  | ) |

## Member Function Documentation

## DistanceTo()

double ON_2dPoint::DistanceTo | ( | const ON_2dPoint & |  | ) | const

## IsUnsetPoint()

bool ON_2dPoint::IsUnsetPoint | ( |  | ) | const

## IsValid()

bool ON_2dPoint::IsValid | ( |  | ) | const

## MaximumCoordinate()

double ON_2dPoint::MaximumCoordinate | ( |  | ) | const

## MaximumCoordinateIndex()

int ON_2dPoint::MaximumCoordinateIndex | ( |  | ) | const

## MinimumCoordinate()

double ON_2dPoint::MinimumCoordinate | ( |  | ) | const

## MinimumCoordinateIndex()

int ON_2dPoint::MinimumCoordinateIndex | ( |  | ) | const

## operator const double *()

ON_2dPoint::operator const double * | ( |  | ) | const

## operator double *()

ON_2dPoint::operator double * | ( |  | ) |

## operator!=()

bool ON_2dPoint::operator!= | ( | const ON_2dPoint & |  | ) | const

## operator*() [1/7]

ON_2dPoint ON_2dPoint::operator* | ( | int |  | ) | const

## operator*() [2/7]

ON_2dPoint ON_2dPoint::operator* | ( | float |  | ) | const

## operator*() [3/7]

ON_2dPoint ON_2dPoint::operator* | ( | double |  | ) | const

## operator*() [4/7]

double ON_2dPoint::operator* | ( | const ON_2dPoint & |  | ) | const

## operator*() [5/7]

double ON_2dPoint::operator* | ( | const ON_2dVector & |  | ) | const

## operator*() [6/7]

double ON_2dPoint::operator* | ( | const ON_4dPoint & |  | ) | const

## operator*() [7/7]

ON_2dPoint ON_2dPoint::operator* | ( | const ON_Xform & |  | ) | const

## operator*=()

ON_2dPoint& ON_2dPoint::operator*= | ( | double |  | ) |

## operator+() [1/8]

ON_2dPoint ON_2dPoint::operator+ | ( | const ON_2dPoint & |  | ) | const

## operator+() [2/8]

ON_2dPoint ON_2dPoint::operator+ | ( | const ON_2dVector & |  | ) | const

## operator+() [3/8]

ON_3dPoint ON_2dPoint::operator+ | ( | const ON_3dPoint & |  | ) | const

## operator+() [4/8]

ON_3dPoint ON_2dPoint::operator+ | ( | const ON_3dVector & |  | ) | const

## operator+() [5/8]

ON_2dPoint ON_2dPoint::operator+ | ( | const ON_2fPoint & |  | ) | const

## operator+() [6/8]

ON_2dPoint ON_2dPoint::operator+ | ( | const ON_2fVector & |  | ) | const

## operator+() [7/8]

ON_3dPoint ON_2dPoint::operator+ | ( | const ON_3fPoint & |  | ) | const

## operator+() [8/8]

ON_3dPoint ON_2dPoint::operator+ | ( | const ON_3fVector & |  | ) | const

## operator+=() [1/3]

ON_2dPoint& ON_2dPoint::operator+= | ( | const ON_2dPoint & |  | ) |

## operator+=() [2/3]

ON_2dPoint& ON_2dPoint::operator+= | ( | const ON_2dVector & |  | ) |

## operator+=() [3/3]

ON_2dPoint& ON_2dPoint::operator+= | ( | const ON_3dVector & |  | ) |

## operator-() [1/8]

ON_2dVector ON_2dPoint::operator- | ( | const ON_2dPoint & |  | ) | const

## operator-() [2/8]

ON_2dPoint ON_2dPoint::operator- | ( | const ON_2dVector & |  | ) | const

## operator-() [3/8]

ON_3dVector ON_2dPoint::operator- | ( | const ON_3dPoint & |  | ) | const

## operator-() [4/8]

ON_3dPoint ON_2dPoint::operator- | ( | const ON_3dVector & |  | ) | const

## operator-() [5/8]

ON_2dVector ON_2dPoint::operator- | ( | const ON_2fPoint & |  | ) | const

## operator-() [6/8]

ON_2dPoint ON_2dPoint::operator- | ( | const ON_2fVector & |  | ) | const

## operator-() [7/8]

ON_3dVector ON_2dPoint::operator- | ( | const ON_3fPoint & |  | ) | const

## operator-() [8/8]

ON_3dPoint ON_2dPoint::operator- | ( | const ON_3fVector & |  | ) | const

## operator-=() [1/3]

ON_2dPoint& ON_2dPoint::operator-= | ( | const ON_2dPoint & |  | ) |

## operator-=() [2/3]

ON_2dPoint& ON_2dPoint::operator-= | ( | const ON_2dVector & |  | ) |

## operator-=() [3/3]

ON_2dPoint& ON_2dPoint::operator-= | ( | const ON_3dVector & |  | ) |

## operator/() [1/3]

ON_2dPoint ON_2dPoint::operator/ | ( | int |  | ) | const

## operator/() [2/3]

ON_2dPoint ON_2dPoint::operator/ | ( | float |  | ) | const

## operator/() [3/3]

ON_2dPoint ON_2dPoint::operator/ | ( | double |  | ) | const

## operator/=()

ON_2dPoint& ON_2dPoint::operator/= | ( | double |  | ) |

## operator<()

bool ON_2dPoint::operator< | ( | const ON_2dPoint & |  | ) | const

## operator<=()

bool ON_2dPoint::operator<= | ( | const ON_2dPoint & |  | ) | const

## operator=() [1/11]

ON_2dPoint& ON_2dPoint::operator= | ( | const ON_3dPoint & |  | ) |

## operator=() [2/11]

ON_2dPoint& ON_2dPoint::operator= | ( | const ON_4dPoint & |  | ) |

## operator=() [3/11]

ON_2dPoint& ON_2dPoint::operator= | ( | const ON_2dVector & |  | ) |

## operator=() [4/11]

ON_2dPoint& ON_2dPoint::operator= | ( | const ON_3dVector & |  | ) |

## operator=() [5/11]

ON_2dPoint& ON_2dPoint::operator= | ( | const double * |  | ) |

## operator=() [6/11]

ON_2dPoint& ON_2dPoint::operator= | ( | const ON_2fPoint & |  | ) |

## operator=() [7/11]

ON_2dPoint& ON_2dPoint::operator= | ( | const ON_3fPoint & |  | ) |

## operator=() [8/11]

ON_2dPoint& ON_2dPoint::operator= | ( | const ON_4fPoint & |  | ) |

## operator=() [9/11]

ON_2dPoint& ON_2dPoint::operator= | ( | const ON_2fVector & |  | ) |

## operator=() [10/11]

ON_2dPoint& ON_2dPoint::operator= | ( | const ON_3fVector & |  | ) |

## operator=() [11/11]

ON_2dPoint& ON_2dPoint::operator= | ( | const float * |  | ) |

## operator==()

bool ON_2dPoint::operator== | ( | const ON_2dPoint & |  | ) | const

## operator>()

bool ON_2dPoint::operator> | ( | const ON_2dPoint & |  | ) | const

## operator>=()

bool ON_2dPoint::operator>= | ( | const ON_2dPoint & |  | ) | const

## operator[]() [1/4]

double& ON_2dPoint::operator[] | ( | int |  | ) |

## operator[]() [2/4]

double ON_2dPoint::operator[] | ( | int |  | ) | const

## operator[]() [3/4]

double& ON_2dPoint::operator[] | ( | unsigned | int | ) |

## operator[]() [4/4]

double ON_2dPoint::operator[] | ( | unsigned | int | ) | const

## Rotate() [1/2]

void ON_2dPoint::Rotate | ( | double | angle,
|  | const ON_2dPoint & | center
| ) |  |

## Rotate() [2/2]

void ON_2dPoint::Rotate | ( | double | sin_angle,
|  | double | cos_angle,
|  | const ON_2dPoint & | center
| ) |  |

## Set()

void ON_2dPoint::Set | ( | double | x,
|  | double | y
| ) |  |

## Transform()

void ON_2dPoint::Transform | ( | const ON_Xform & |  | ) |

## Zero()

void ON_2dPoint::Zero | ( |  | ) |

## Member Data Documentation

## Origin

const ON_2dPoint ON_2dPoint::Origin

static

Definition at line 271 of file opennurbs_point.h.

## UnsetPoint

const ON_2dPoint ON_2dPoint::UnsetPoint

static

Definition at line 272 of file opennurbs_point.h.

## x

double ON_2dPoint::x

Definition at line 269 of file opennurbs_point.h.

## y

double ON_2dPoint::y

Definition at line 269 of file opennurbs_point.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_point.h